<?php	session_start(); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html>
<?php
	// index.html
	// Matthew Whiting June 18 2007
	// 
	// A test of a conesearch webpage for new data.
	// Using Albert Teoh's index.html as a template
/*
<!-- BEGIN Javascript for expansion blocks -->
<!-- Thanks to: -->
<!-- http://assn9.blogspot.com/ -->
<!-- Douglas Bowman
     URL:      www.stopdesign.com
     Used in: http://www.bloggerforum.com/modules/newbb/viewtopic.php?topic_id=8725&forum=6
     Date:     26 Feb 2004
-->
*/
?>
<head>
<link rel="stylesheet" type="text/css" href="../../styles/style.css" />
<link rel="stylesheet" type="text/css" href="../../styles/query.css" />
<link rel="stylesheet" type="text/css" href="../../styles/results.css" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8759-1" />
<meta name="DC.Creator" lang="en" content="personalName=Teoh,Albert" />
<meta name="ATNF.Maintainer" content="contactName=Webmaster,the" />
<meta name="DC.Title.alt" lang="en" content="" />
<meta name="DC.Subject" lang="en" content="pulsar" />
<meta name="DC.Description" lang="en" content="Searches the data archives at the ATNF" />
<meta name="DC.Date.created" scheme="ISO8601" content="2002-12-12" />
<meta name="ATNF.Site" content="Marsfield" />
<meta name="ATNF.AccessPermission" content="Public" />
<meta name="ATNF.MetaVersion" content="1.0" />
</head>
<script type="text/javascript" language="javascript1.2">
function togglecomments (id1,id2) {

		var obj1 = document.getElementById(id1);
		var obj2 = document.getElementById(id2);
		(obj1.className=="commentshown") ? obj1.className="commenthidden" : obj1.className="commentshown"; 
		(obj1.className=="commentshown") ? obj2.innerHTML="<< Hide" : obj2.innerHTML="Show all >>"; 

}

function checkAll(objName, FormName, FieldName ) {

	var obj = document.getElementsByName(objName);
	var CheckValue = obj[0].checked;

	if(!document.forms[FormName])
		return;
	var objCheckBoxes = document.forms[FormName].elements[FieldName];
	if(!objCheckBoxes)
		return;
	var countCheckBoxes = objCheckBoxes.length;
	if(!countCheckBoxes)
		objCheckBoxes.checked = CheckValue;
	else
		// set the check value for all check boxes
		for(var i = 0; i < countCheckBoxes; i++)
			objCheckBoxes[i].checked = CheckValue;
}

function updateSelectAll(objId, allId) {
	var obj = document.getElementById(objId);
	var allCheckbox = document.getElementById(allId);	
	
	if (!objId.checked && allCheckbox.checked) {
		allCheckbox.checked = false;
	}
		
		
}
</script>
<?php include_once("../../header.html"); ?>
<title>ATNF Pulsar Data Archive: 70cm Testing</title>

<!-- Start Content -->
<?php
	
include_once("../../constants.php");
include_once("../../security.php");
include_once("../../database.php");
include_once("../../date.php");
include_once("loadS70.php");

$now_day = date("j");
$now_month = date("n");
$now_year = date("Y");

$all_params_id = "all_params";
$all_others_id = "all_others";

//$link = db_connect();

///////////////////////////////////////////////////////////////////////////

$link = db_connect_admin();

loadS70();

//////////////////////////////////////////////
// Find out the first and last dates
$query = "select min(mjd), max(mjd) from s70";
$result = mysql_query($query) or die('Query failed: ' . mysql_error());

$row = mysql_fetch_array($result);

$min_mjd = $row[0];
$max_mjd = $row[1];

// Convert from MJD to JD
$min_mjd += 2400000.5;
$max_mjd += 2400000.5;

// convert the mjd to a date
$min_mjd = floor($min_mjd);
$max_mjd = ceil($max_mjd);

$min_cal_assoc = cal_from_jd($min_mjd, CAL_GREGORIAN);
$max_cal_assoc = cal_from_jd($max_mjd, CAL_GREGORIAN);

// Free resultset
mysql_free_result($result);

//////////////////////////////////////////////
// Get the field names to fill form checkboxes

$query = "SHOW COLUMNS FROM s70";
$result = mysql_query($query) or die ('Query failed: ' . mysql_error());

$fields = array();
if (mysql_num_rows($result)) {
	while($row = mysql_fetch_assoc($result)) {
		array_push($fields, $row);
	}
}

// Clear any old form inputs in session cache
// init($link);

///////////////////////////////////////////////////////////////////////////

?>

<body class="atoa">

<form action="conequery-basic.php" method="GET" name="data_archive_form" id="data_archive_form">
<input type="hidden" name="state" value="results">

<table class="noborder">

	<tr>
	
	<td valign="top" class="form_field" rowspan="1">
	
	<fieldset>
		<legend>Display Parameters</legend>
		<input type="checkbox" name="<?php echo $all_params_id; ?>" id="<?php echo $all_params_id; ?>" onClick="checkAll('<?php echo $all_params_id; ?>', 'data_archive_form', 'params[]')" checked="true">Select all<br>
			<font size="-1"><a href="javascript:togglecomments('params', 'toggler1')" id="toggler1">Show all >></a></font><br>
			<span class="commenthidden" id="params">
			<div id="list">
				<?php

				foreach ($fields as $field) {
					echo "<input
onClick=\"updateSelectAll('".$field['Field']."', '$all_params_id')\" type=\"checkbox\" name=\"params[]\" value=\"".$field['Field']."\" id=\"".$field['Field']."\" checked=\"true\">".$field['Field']."<br>\n";
				}
				
				?>
			</div>
			</span>
	</fieldset>
	</td>

	<td class="form_field" height="10%">
	<!-- Filter Options -->
	<fieldset id="flsPosition">
				
		<legend>Filter Options</legend>


		<!-- Date range -->
		<fieldset>
			<legend>Date Range</legend>
			
			<select name="from_day">
				<?php
					for ($i = 1; $i <= 31; $i++) {
						echo "\t\t\t<option";
						if ($i == $min_cal_assoc['day']) {
							echo " selected";
						}
						echo " value=\"$i\">$i</option>\n";
					}
				?>
			</select> 
			<select name="from_month">
				<?php
					for ($i = 1; $i <= 12; $i++) {
						echo "\t\t\t<option";
						if ($i == $min_cal_assoc['month']) {
							echo " selected";
						}
						echo " value=\"$i\">$i</option>\n";
					}
				?>
			</select> 
			<input type="text" size="4" name="from_year" value="<?php echo $min_cal_assoc['year']; ?>">
			<?php echo "<font size=\"-1\" color=\"red\">$date_error</font>" ?>
			&nbsp;to&nbsp;
			<select name="to_day">
				<?php
					for ($i = 1; $i <= 31; $i++) {
						echo "\t\t\t<option";
						if ($i == $max_cal_assoc['day']) {
							echo " selected";
						}
						echo " value=\"$i\">$i</option>\n";
					}
				?>
			</select> 
			<select name="to_month">
				<?php
					for ($i = 1; $i <= 12; $i++) {
						echo "\t\t\t<option";
						if ($i == $max_cal_assoc['month']) {
							echo " selected";
						}
						echo " value=\"$i\">$i</option>\n";
					}
				?>
			</select> 
			<input type="text" size="4" name="to_year" value="<?php echo $max_cal_assoc['year']; ?>">
		</fieldset>

		<!-- Coordinates -->
 <br>
		<fieldset>
			<legend>Coordinates</legend>

			RAJ [deg]: <input type="text" name="raj_degs" size="10">
			DecJ [deg]: <input type="text" name="decj_degs" size="10">
			Search radius [deg]: <input type="text" name="radius" size="10">


		</fieldset>	

	</fieldset>
	<br>
	<input type="submit" value="submit" name="submit_button">
	<input type="reset" value="reset" name="reset_button">
	</td>
	</tr>	
</table>


</form>


</body>

</html>
